Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.

Card activation API

Download D1-Public-OUT-v1-Physical-Issuance.yaml

Activate Card

post
/cms/api/v1/issuers/{issuerId}/physicalCards/{cardId}/activate

This API is used by D1 to activate a physical card in the issuer backend. The operation is idempotent: if the card is already active, the request completes successfully and returns 204 No Content This operation does not require a request body. Security for this endpoint is enforced outside of the OpenAPI contract (for example, via mutual TLS, private network connectivity, or IP allow‑listing).

Authorizations
AuthorizationstringRequired

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

Path parameters
issuerIdstring · min: 10 · max: 10Required

The id of the issuer

cardIdstring · min: 1 · max: 48Required

Unique identifier of the card.

Pattern: ^[A-Za-z0-9_-]{1,48}$
Header parameters
x-correlation-idstringOptional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Responses
post
/cms/api/v1/issuers/{issuerId}/physicalCards/{cardId}/activate

No content

Last updated

Was this helpful?